document.addEventListener('DOMContentLoaded', function() {
	document.dispatchEvent(new Event('initQRCode'));
	document.dispatchEvent(new Event('initDrawer'));
	document.dispatchEvent(new Event('initCantonalBranding'));

	const cantonalBranding = document.querySelector('header #cantonalBrandingMobile');
	const helpMenu = document.querySelector('agov-mobile-menu');
	if (cantonalBranding && helpMenu) {
		cantonalBranding.addEventListener('click', (event) => {
			event.stopPropagation();
			helpMenu.toggleMenu();
		});
	}
});
